package com.ruoyi.project.sems.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.sems.domain.TMeasureRecord;
import com.ruoyi.project.sems.mapper.TMeasureRecordMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TApproverFileMapper;
import com.ruoyi.project.sems.domain.TApproverFile;
import com.ruoyi.project.sems.service.ITApproverFileService;

/**
 * 审批附件Service业务层处理
 *
 * @author ruoyi
 * @date 2021-08-08
 */
@Service("tApproverFileServiceImpl")
public class TApproverFileServiceImpl extends ServiceImpl<TApproverFileMapper, TApproverFile> implements ITApproverFileService
{
    @Autowired
    private TApproverFileMapper tApproverFileMapper;

    /**
     * 查询审批附件
     *
     * @param id 审批附件ID
     * @return 审批附件
     */
    @Override
    public TApproverFile selectTApproverFileById(Long id)
    {
        return tApproverFileMapper.selectTApproverFileById(id);
    }

    /**
     * 查询审批附件列表
     *
     * @param tApproverFile 审批附件
     * @return 审批附件
     */
    @Override
    public List<TApproverFile> selectTApproverFileList(TApproverFile tApproverFile)
    {
        return tApproverFileMapper.selectTApproverFileList(tApproverFile);
    }

    /**
     * 新增审批附件
     *
     * @param tApproverFile 审批附件
     * @return 结果
     */
    @Override
    public int insertTApproverFile(TApproverFile tApproverFile)
    {
        tApproverFile.setCreateTime(DateUtils.getNowDate());
        return tApproverFileMapper.insertTApproverFile(tApproverFile);
    }

    /**
     * 修改审批附件
     *
     * @param tApproverFile 审批附件
     * @return 结果
     */
    @Override
    public int updateTApproverFile(TApproverFile tApproverFile)
    {
        return tApproverFileMapper.updateTApproverFile(tApproverFile);
    }

    /**
     * 批量删除审批附件
     *
     * @param ids 需要删除的审批附件ID
     * @return 结果
     */
    @Override
    public int deleteTApproverFileByIds(Long[] ids)
    {
        return tApproverFileMapper.deleteTApproverFileByIds(ids);
    }

    /**
     * 删除审批附件信息
     *
     * @param id 审批附件ID
     * @return 结果
     */
    @Override
    public int deleteTApproverFileById(Long id)
    {
        return tApproverFileMapper.deleteTApproverFileById(id);
    }
}
